Name:           csstidy
Version:        1.4
Release:        12%{?dist}
Summary:        CSS parser and optimizer

Group:          Applications/Internet
License:        GPLv2+
URL:            http://csstidy.sourceforge.net
# The developer is ridiculous and puts together this archive on Windows, and fails miserably.
# We repackaged it ourself by doing the following:
#   mkdir csstidy-%{version}; cd csstidy-%{version}
#   wget http://downloads.sourceforge.net/csstidy/csstidy-source-1.4.zip
#   unzip csstidy-source-1.4.zip; rm csstidy-source-1.4.zip
#   cd ..; tar czf csstidy-%{version}.tar.gz csstidy-%{version}
Source0:        csstidy-%{version}.tar.gz
Patch0:         csstidy-1.4-fix-misc.cpp.patch
Patch1:         csstidy-1.4-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-c++ scons

%description
CSSTidy is an open source CSS parser and optimizer. In opposite to most other
CSS parsers, no regular expressions are used and thus CSSTidy has full CSS2
support and a higher reliability.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
scons %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -cpm 755 release/csstidy/csstidy %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 30 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-3
- Build with %%{optflags}, %%{_smp_mflags} (#498487).

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 24 2008 Ian Weller <ianweller@gmail.com> 1.4-1
- Initial package build.
